%define upstream_name    Linux-Pid
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Interface to Linux getpp?id functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Why should one use a module to get the PID and the PPID of a process where
there are the '$$' variable and the 'getppid()' builtin ? (Not mentioning
the equivalent 'POSIX::getpid()' and 'POSIX::getppid()' functions.)

In fact, this is useful on Linux, with multithreaded programs. Linux' C
library, using the linux thread model, returns different values of the PID
and the PPID from different threads. (Other thread models such as NPTL
don't have the same behaviour). This module forces perl to call the
underlying C functions 'getpid()' and 'getppid()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-12.mga6
+ Revision: 1029168
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-11.mga6
+ Revision: 957658
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-10.mga6
+ Revision: 844950
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.40.0-9.mga6
+ Revision: 841980
- rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 789164
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 741899
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 685230
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-5.mga5
+ Revision: 631375
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-4.mga4
+ Revision: 524408
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-3.mga4
+ Revision: 430796
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 369119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 ahmad <ahmad> 0.40.0-1.mga3
+ Revision: 120113
- imported package perl-Linux-Pid

